Skip to main content
POST
Record Participants by Email with Marketing Event External Ids

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

externalEventId
string
required

The ID of the marketing event in the external event application.

subscriberState
string
required

The state of the subscriber, which can be used to indicate their attendance status.

Query Parameters

externalAccountId
string

The account ID associated with the marketing event in the external event application.

Body

application/json
inputs
object[]
required

List of marketing event details to create or update

Response

successful operation

completedAt
string<date-time>
required

Timestamp that represents when the request finished processing

results
object[]
required

An array of results from the batch operation, each containing details about a subscriber email response.

startedAt
string<date-time>
required

Timestamp that represents when the request started processing

status
enum<string>
required

The status of the request processing

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

An array of errors encountered during the batch operation, each providing details about the error.

Result of the request

numErrors
integer<int32>

The number of errors that occurred during the processing

requestedAt
string<date-time>

Timestamp that represents when the request was made

Last modified on September 9, 2026